# azure.mgmt.compute.v2019_04_01.operations module

class `azure.mgmt.compute.v2019_04_01.operations.``ResourceSkusOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ResourceSkusOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-04-01”.

  `list`(filter=None, custom_headers=None, raw=False, **operation_config)

    Gets the list of Microsoft.Compute SKUs available for your Subscription.

    Parameters:

    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceSku
    Return type: | ResourceSkuPaged[ResourceSku]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_04_01/models/__init__.py'>